Package org.jbpm.casemgmt.impl.generator

## Class CaseIdExpressionFunctions

- java.lang.Object
- - org.jbpm.casemgmt.impl.generator.CaseIdExpressionFunctions

-     public final class CaseIdExpressionFunctions
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CaseIdExpressionFunctions` | `CASE_ID_FUNCTIONS` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `LPAD​(Integer id, Integer count, String pad)` |
    `static String` | `LPAD​(String text, Integer count, String pad)` |
    `static String` | `RPAD​(Integer id, Integer count, String pad)` |
    `static String` | `RPAD​(String text, Integer count, String pad)` |
    `static String` | `TRUNCATE​(String text, int size)` |
    `static String` | `UPPER​(String text)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CASE_ID_FUNCTIONS

          public static final CaseIdExpressionFunctions CASE_ID_FUNCTIONS

  - ### Method Detail

    - #### LPAD

          public static final String LPAD​(Integer id,
                                          Integer count,
                                          String pad)

    - #### RPAD

          public static final String RPAD​(Integer id,
                                          Integer count,
                                          String pad)

    - #### LPAD

          public static final String LPAD​(String text,
                                          Integer count,
                                          String pad)

    - #### RPAD

          public static final String RPAD​(String text,
                                          Integer count,
                                          String pad)

    - #### TRUNCATE

          public static final String TRUNCATE​(String text,
                                              int size)

    - #### UPPER

          public static final String UPPER​(String text)